<template>
  <nav class="navbar navbar-default" style="margin-top: 30px;">
    <div class="container-fluid">
      <div class="navbar-header">
        <router-link to="/" class="navbar-brand">سیوانلند اسپورت شاپ</router-link>
      </div>

      <!-- Collect the nav links, forms, and other content for toggling -->
      <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="nav navbar-nav">
          <router-link to="/portfolio" activeClass="active" tag="li"><a> <span class="badge badge-light">{{getLength}}</span>سبد خرید</a></router-link>
          <router-link to="/stocks" activeClass="active" tag="li"><a>محصولات</a></router-link>

        </ul>
        <ul class="nav navbar-nav navbar-left">

          <li><a @click="endDay" style="cursor: pointer">اتمام روز</a></li>
          <li><a @click="tavarom" style="cursor: pointer">تورم</a></li>
          <li><a @click="callAbbas" style="cursor: pointer">پاک کردن سبد</a></li>

          <li><a style="cursor: pointer">{{lastChange}}  </a></li>

            <li class="navbar-text" :class="{green: upFound , yellow:midFound , red:downFound}"><strong>موجودی: {{funds | currency}}</strong></li>
        </ul>
      </div>
    </div>
  </nav>
</template>

<script>


  import {mapActions,mapGetters} from 'vuex'
  export default{
      data(){
          return{
        color : {
            green : false,
            yellow : false,
            red : false
        }
      }
      },
    computed:{
      funds(){
        return this.$store.getters.funds;
      } ,
        upFound(){
            if (this.funds >= 1000){
                return true
            }else {
                return false
            }
        },
        midFound(){
            if (this.funds < 1000 && this.funds>=500){
                return true
            }else {
                return false
            }
        },
        downFound(){
            if (this.funds < 500){
                return true
            }else {
                return false
            }
        },

      getLength(){
        return this.$store.getters.tedad;
      },
      lastChange(){
        return this.$store.getters.myLastChange


      }
    },
    methods:{

      ...mapActions([
        'randomizeStocks',
        'tavaromStocks',
        'abbasClearStore',

      ]),

      endDay(){
        this.randomizeStocks()

      },

      tavarom(){
        this.tavaromStocks()
      },
      callAbbas(){
        this.abbasClearStore()
      },


    }
  }
</script>

<style scoped>
.green{
    color: green;
}
    .yellow{
        color: yellow;
        text-shadow: 1px 1px 2px black;
    }
    .red{
        color: red;
    }
</style>